Skip to main content
GET
/
ncw
/
wallets
TypeScript
const response: Promise<FireblocksResponse<EmbeddedWalletPaginatedWalletsResponse>> = fireblocks.embeddedWallets.getEmbeddedWallets(embeddedWalletsApiGetEmbeddedWalletsRequest);
{
  "data": [
    {
      "walletId": "550e8400-e29b-41d4-a716-446655440000",
      "enabled": true
    }
  ],
  "next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

pageCursor
string

Next page cursor to fetch

pageSize
number
default:200

Items per page

Required range: x <= 400
sort
enum<string>
default:createdAt

Field(s) to use for sorting

Available options:
createdAt
order
enum<string>
default:ASC

Is the order ascending or descending

Available options:
ASC,
DESC
enabled
boolean

Enabled Wallets

Response

Successful response

data
object[]
required

The data of the current page

next
string | null

The ID of the next page

Example:

"eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"